FilterHolder.Registration (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.servlet

## Class FilterHolder.Registration

- java.lang.Object
- - org.eclipse.jetty.servlet.Holder.HolderRegistration
  - - org.eclipse.jetty.servlet.FilterHolder.Registration

- All Implemented Interfaces:
    FilterRegistration, FilterRegistration.Dynamic, Registration, Registration.Dynamic
  Enclosing class:
    FilterHolder

      protected class FilterHolder.Registration
      extends Holder.HolderRegistration
      implements FilterRegistration.Dynamic

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.servlet.api.FilterRegistration

      `FilterRegistration.Dynamic`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FilterHolder.Registration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMappingForServletNames(EnumSet<DispatcherType> dispatcherTypes, boolean isMatchAfter, String... servletNames)`
    `void` | `addMappingForUrlPatterns(EnumSet<DispatcherType> dispatcherTypes, boolean isMatchAfter, String... urlPatterns)`
    `Collection<String>` | `getServletNameMappings()`
    `Collection<String>` | `getUrlPatternMappings()`

    - ### Methods inherited from class org.eclipse.jetty.servlet.Holder.HolderRegistration

      `getClassName, getInitParameter, getInitParameters, getName, setAsyncSupported, setDescription, setInitParameter, setInitParameters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jetty.servlet.api.Registration.Dynamic

      `setAsyncSupported`

    - ### Methods inherited from interface org.eclipse.jetty.servlet.api.Registration

      `getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

- - ### Constructor Detail

    - #### FilterHolder.Registration

          protected FilterHolder.Registration()

  - ### Method Detail

    - #### addMappingForServletNames

          public void addMappingForServletNames(EnumSet<DispatcherType> dispatcherTypes,
                                       boolean isMatchAfter,
                                       String... servletNames)

      Specified by:
        `addMappingForServletNames` in interface `FilterRegistration`

    - #### addMappingForUrlPatterns

          public void addMappingForUrlPatterns(EnumSet<DispatcherType> dispatcherTypes,
                                      boolean isMatchAfter,
                                      String... urlPatterns)

      Specified by:
        `addMappingForUrlPatterns` in interface `FilterRegistration`

    - #### getServletNameMappings

          public Collection<String> getServletNameMappings()

      Specified by:
        `getServletNameMappings` in interface `FilterRegistration`

    - #### getUrlPatternMappings

          public Collection<String> getUrlPatternMappings()

      Specified by:
        `getUrlPatternMappings` in interface `FilterRegistration`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.